--AH:ScriptId=79eb03fc-7cb6-473f-9184-3930f355cc49;2870
CREATE TABLE [NuGetFeeds]
(
	[Feed_Id] INT NOT NULL,
	[FeedPathOverride_Text] NVARCHAR(260) NULL,
	[APIKey_Text] NVARCHAR(100) NULL,
	[SymbolServerEnabled_Indicator] YNINDICATOR NOT NULL,
	[StripSymbolFiles_Indicator] YNINDICATOR NOT NULL,
	[PackageStoreConfiguration_Xml] XML NULL,
	[Legacy_Indicator] YNINDICATOR NOT NULL,

	CONSTRAINT [PK__NuGetFeeds]
		PRIMARY KEY ([Feed_Id]),

	CONSTRAINT [FK__NuGetFeeds_Feeds]
		FOREIGN KEY ([Feed_Id])
		REFERENCES [Feeds] ([Feed_Id]),
)

GO

INSERT INTO [NuGetFeeds]
(
	[Feed_Id],
	[FeedPathOverride_Text],
	[APIKey_Text],
	[SymbolServerEnabled_Indicator],
	[StripSymbolFiles_Indicator],
	[PackageStoreConfiguration_Xml],
	[Legacy_Indicator]
)
SELECT [Feed_Id],
       [FeedPathOverride_Text],
	   [APIKey_Text],
	   [SymbolServerEnabled_Indicator],
	   [StripSymbolFiles_Indicator],
	   [PackageStore_Configuration],
	   [Legacy_Indicator]
  FROM [Feeds]
 WHERE [FeedType_Code] IN ('N', 'C', 'D')

GO

ALTER TABLE [Feeds]
	DROP COLUMN [FeedPathOverride_Text],
				[APIKey_Text],
				[SymbolServerEnabled_Indicator],
				[StripSymbolFIles_Indicator],
				[PackageStore_Configuration],
	            [Legacy_Indicator]
