EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'FeedGroups_DeleteGroup',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes a feed group (does NOT delete feeds which are members of it).'
GO

IF OBJECT_ID('[FeedGroups_DeleteGroup]') IS NOT NULL DROP PROCEDURE [FeedGroups_DeleteGroup]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [FeedGroups_DeleteGroup]
(
    @FeedGroup_Id INT
)
AS
BEGIN

SET NOCOUNT ON

	DELETE [FeedGroups]
	 WHERE [FeedGroup_Id] = @FeedGroup_Id

END
GO

GRANT EXECUTE ON [FeedGroups_DeleteGroup] TO [ProGetUser_Role]
