EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'FeedReplications_DeleteReplication',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes the feed replication with the specified ID.'
GO

IF OBJECT_ID('[FeedReplications_DeleteReplication]') IS NOT NULL DROP PROCEDURE [FeedReplications_DeleteReplication]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [FeedReplications_DeleteReplication]
(
	@FeedReplication_Id INT
)
AS
BEGIN

SET NOCOUNT ON

	DELETE [FeedReplications]
	 WHERE [FeedReplication_Id] = @FeedReplication_Id

END
GO

GRANT EXECUTE ON [FeedReplications_DeleteReplication] TO [ProGetUser_Role]
GO
	   

