EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'FeedReplications_GetReplication',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'FeedReplications',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Returns the FeedReplication row with the specified ID.'
GO

IF OBJECT_ID('[FeedReplications_GetReplication]') IS NOT NULL DROP PROCEDURE [FeedReplications_GetReplication]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [FeedReplications_GetReplication]
(
	@FeedReplication_Id INT
)
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [FeedReplications]
	 WHERE [FeedReplication_Id] = @FeedReplication_Id

END
GO

GRANT EXECUTE ON [FeedReplications_GetReplication] TO [ProGetUser_Role]
GO
	   

