EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'FeedUsageInstructions_DeleteUsageInstruction',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ NULL,
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes the specified feed usage instruction.'
GO

IF OBJECT_ID('[FeedUsageInstructions_DeleteUsageInstruction]') IS NOT NULL DROP PROCEDURE [FeedUsageInstructions_DeleteUsageInstruction]
GO
SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [FeedUsageInstructions_DeleteUsageInstruction]
(
	@FeedUsageInstruction_Id INT
)
AS
BEGIN

SET NOCOUNT ON

    DELETE FROM [FeedUsageInstructions] WHERE [FeedUsageInstruction_Id] = @FeedUsageInstruction_Id
	
END
GO

GRANT EXECUTE ON [FeedUsageInstructions_DeleteUsageInstruction] TO [ProGetUser_Role]